## pychopper 2.4.0

=== debian/changelog ===
pychopper (2.4.0-2) unstable; urgency=medium

  * Team upload.
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 23 Jun 2020 08:25:47 +0200

pychopper (2.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #963028)

 -- Steffen Moeller <moeller@debian.org>  Wed, 17 Jun 2020 23:41:37 +0200
