## pychopper 2.5.0

=== requirements.txt ===
parasail
biopython
matplotlib
six
tqdm
pandas
pytest
