=== debian/changelog ===
pychopper (2.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 26 Oct 2020 19:07:36 +0530

pychopper (2.4.0-3) unstable; urgency=medium

  * Team Upload.
  * Add autopkgtest

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 30 Aug 2020 14:59:38 +0530
