=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

export PYBUILD_NAME=pychopper

%:
	dh $@ --with python3 --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build
	cd docs && PYTHONPATH=.. make man

override_dh_auto_install:
	dh_auto_install
	find debian/python3-pychopper -name .gitignore -delete

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .pytest_cache .pybuild
	make clean
	cd docs && make clean # fails
	rm -f docs/cmd_list.rst docs/pychopper.phmm_data.rst docs/pychopper.primer_data.rst docs/pychopper.tests.rst
	rm -f cdna_classifier_report.pdf cdna_classifier_report.tsv


override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- --system=custom --test-args="PYTHONPATH={build_dir} {interpreter} -m pytest -v"
endif
