=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pychopper-$1.tar.gz%" \
   https://github.com/nanoporetech/pychopper/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
