## pychopper 2.7.2

=== requirements.txt ===
parasail
biopython
matplotlib
six
tqdm==4.26.0
pandas
numpy
pytest
