=== debian/changelog ===
pychopper (2.7.2-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2.7.2 (Closes: #1021971)
  * Bump Standards-Version to 4.6.1 (no changes needed)
  * Update fixTests.patch again
  * d/rules:
    + Rename pychopper.py script post build
    + Get tests running
    + Remove exec perm over PCS111_primers.fas
    + Prune .gitignore(s) post install
  * Add custom d/clean and get rid of some custom removals in d/rules
  * Check for supported versions in autopkgtests
  * Add python3-edlib to test-deps

 -- Nilesh Patra <nilesh@debian.org>  Sat, 19 Nov 2022 21:07:37 +0530

pychopper (2.5.0-2) unstable; urgency=medium

  * Team Upload.
  [ Charles Plessy ]
  * Point to new upstream source repository.
  * Prepare for next upstream release.

  [ Nilesh Patra ]
  * Update fixTests.patch
  * Copy tests dir into builddir to run build-time tests
    and prune once done
    - Both changes above fix the build. Closes: #1021971

 -- Nilesh Patra <nilesh@debian.org>  Wed, 16 Nov 2022 20:14:49 +0530
