=== debian/control ===
--- 
+++ 
@@ -29,8 +29,8 @@
                python3-hypothesis <!nocheck>,
                python3-pytest-mock <!nocheck>,
                xonsh <!nocheck>
-Standards-Version: 4.5.0
-Homepage: https://github.com/nanoporetech/pychopper
+Standards-Version: 4.6.1
+Homepage: https://github.com/epi2me-labs/pychopper
 Vcs-Browser: https://salsa.debian.org/med-team/pychopper
 Vcs-Git: https://salsa.debian.org/med-team/pychopper.git
 Testsuite: autopkgtest-pkg-python
