## pychopper 2.7.3

=== debian/changelog ===
pychopper (2.7.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.7.3
  * Raising Standards version to 4.6.2 (no change)
  * Adding a note in d/README.source about the non-free license of future
    versions
  * Removing an unused Lintian override

 -- Pierre Gruet <pgt@debian.org>  Sun, 18 Jun 2023 15:22:18 +0200
