=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                python3-hypothesis <!nocheck>,
                python3-pytest-mock <!nocheck>,
                xonsh <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/epi2me-labs/pychopper
 Vcs-Browser: https://salsa.debian.org/med-team/pychopper
 Vcs-Git: https://salsa.debian.org/med-team/pychopper.git
