## pychopper 2.7.9

=== requirements.txt ===
--- 
+++ 
@@ -6,3 +6,4 @@
 pandas
 numpy
 pytest
+pysam
