=== debian/changelog ===
pychopper (2.7.9-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.7.9
  * Update d/clean (Closes: #1048644)
  * Add pysam as build dep
  * Update name of provided script in package description

 -- Ananthu C V <weepingclown@disroot.org>  Tue, 05 Dec 2023 23:27:42 +0530
