=== debian/control ===
--- 
+++ 
@@ -28,6 +28,7 @@
                python3-pytest-xdist <!nocheck>,
                python3-hypothesis <!nocheck>,
                python3-pytest-mock <!nocheck>,
+               python3-pysam <!nocheck>,
                xonsh <!nocheck>
 Standards-Version: 4.6.2
 Homepage: https://github.com/epi2me-labs/pychopper
@@ -43,7 +44,7 @@
 Description: identify, orient and trim full-length Nanopore cDNA reads
  Pychopper v2 is a Python module to identify, orient and trim full-length
  Nanopore cDNA reads. It is also able to rescue fused reads and provides
- the script 'cdna_classifier.py'.  The general approach of Pychopper v2
+ the script 'pychopper.py'.  The general approach of Pychopper v2
  is the following:
  .
   * Pychopper first identifies alignment hits of the primers across the
