=== requirements.txt ===
parasail
biopython
matplotlib
tqdm==4.26.0
pandas
numpy
pytest
pysam
