=== debian/changelog ===
pychopper (2.7.10-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.7.10
  * Remove build dependency on python3-six
  * Use dh-sequence-python3
  * Annotate sphinx dependencies as <!nodoc>
  * Add build dependency on python3-zombie-imp

 -- Alexandre Detiste <tchet@debian.org>  Wed, 31 Jul 2024 14:25:07 +0200
