=== debian/control ===
--- 
+++ 
@@ -4,18 +4,17 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-setuptools,
-	       python3-sphinx,
-	       python3-sphinx-argparse,
-	       python3-sphinx-rtd-theme,
+	       python3-sphinx <!nodoc>,
+	       python3-sphinx-argparse <!nodoc>,
+	       python3-sphinx-rtd-theme <!nodoc>,
                python3-all,
                python3-edlib <!nocheck>,
                python3-parasail <!nocheck>,
                python3-matplotlib <!nocheck>,
                python3-seaborn <!nocheck>,
                python3-tqdm <!nocheck>,
-               python3-six <!nocheck>,
                python3-pandas <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-arraydiff <!nocheck>,
@@ -29,6 +28,7 @@
                python3-hypothesis <!nocheck>,
                python3-pytest-mock <!nocheck>,
                python3-pysam <!nocheck>,
+               python3-zombie-imp <!nodoc>,
                xonsh <!nocheck>
 Standards-Version: 4.6.2
 Homepage: https://github.com/epi2me-labs/pychopper
