=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 DEF_BUILDDIR3 := $(shell pybuild --print build_dir --interpreter python3)
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 
 override_dh_auto_build:
